Package weka.gui.sql.event

# Class HistoryChangedEvent

java.lang.Object
java.util.EventObject
weka.gui.sql.event.HistoryChangedEvent

All Implemented Interfaces:
  `Serializable`

public class HistoryChangedEvent extends EventObject
An event that is generated when a history is modified.

Version:
  $Revision: 7059 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - `HistoryChangedListener`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HistoryChangedEvent(Object source, String name, DefaultListModel history)`
constructs the event

## Method Summary

Modifier and Type
Method
Description
`DefaultListModel`
`getHistory()`
returns the history model
`String`
`getHistoryName()`
returns the name of the history
`String`
`toString()`
returns the event in a string representation

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HistoryChangedEvent

public HistoryChangedEvent(Object source, String name, DefaultListModel history)
constructs the event

Parameters:
  `name` - the name of the history
  `history` - the model of the history

## Method Details

### getHistoryName

public String getHistoryName()
returns the name of the history

### getHistory

public DefaultListModel getHistory()
returns the history model

### toString

public String toString()
returns the event in a string representation

Overrides:
  `toString` in class `EventObject`
Returns:
  the event in a string representation